package com.tanpu.community.api.beans.qo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("热点话题对象")
public class TopicPageDetailQo {

    @ApiModelProperty(value = "话题ID")
    private String topicId;

    @ApiModelProperty(value = "话题名称")
    private String topicTitle;

    @ApiModelProperty(value = "阅读量")
    private Integer viewCount;

    @ApiModelProperty(value = "讨论量")
    private Integer disscussCount;

    @ApiModelProperty(value = "阅读量-格式化")
    private String formatViewCount;

    @ApiModelProperty(value = "讨论量-格式化")
    private String formatDisscussCount;

    @ApiModelProperty(value = "话题介绍")
    private String topicDesc;

    @ApiModelProperty(value = "封面")
    private String coverImg;

    @ApiModelProperty(value = "是否专属 0否，1是")
    private Integer specialPermission;

    @ApiModelProperty(value = "是否有权限")
    private boolean hasPermission;

    @ApiModelProperty(value = "是否关注，非专属话题时有效")
    private boolean hasFollow;

    @ApiModelProperty(value = "管理员")
    private String managers;

    @ApiModelProperty(value = "关联产品")
    private List<TopicAttachement> attachments;
}
